Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Oct 2013 20:30:32 -0400

> So I guess you are asking why the particular piece of code being
> discussed here couldn't keep file names as unibyte strings, is that
> your question?

IIUC the issue is how to encode when we don't yet have the
coding-systems loaded/setup.  But it seems if we can't encode, then we
can't decode either, so we should just fallback on using unibyte strings
(which shouldn't be encoded on the way back to the OS) for those file
names we create/manipulate before coding-systems are available.

        Stefan